## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface RoleAuthorization

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  RoleAuthorizationImpl

public interface RoleAuthorization
extends SQLObject

A representation of the model object 'Role Authorization'. Reference: 5WD-02-Foundation-2002-12 4.34.3 Roles

The following features are supported:

- `Grantable`
- `Role`
- `Grantee`
- `Grantor`

See Also:
  `SQLAccessControlPackage.getRoleAuthorization()`

Method Summary
`AuthorizationIdentifier` `getGrantee()` Returns the value of the 'Grantee' reference.
`AuthorizationIdentifier` `getGrantor()` Returns the value of the 'Grantor' reference.
`Role` `getRole()` Returns the value of the 'Role' reference.
`boolean` `isGrantable()` Returns the value of the 'Grantable' attribute.
`void` `setGrantable(boolean value)` Sets the value of the '`Grantable`' attribute.
`void` `setGrantee(AuthorizationIdentifier value)` Sets the value of the '`Grantee`' reference.
`void` `setGrantor(AuthorizationIdentifier value)` Sets the value of the '`Grantor`' reference.
`void` `setRole(Role value)` Sets the value of the '`Role`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isGrantable

    public boolean isGrantable()

  Returns the value of the 'Grantable' attribute.

  If the meaning of the 'Grantable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grantable' attribute.
  See Also:
    `setGrantable(boolean)`, `SQLAccessControlPackage.getRoleAuthorization_Grantable()`

### setGrantable

    public void setGrantable(boolean value)

  Sets the value of the '`Grantable`' attribute.

  Parameters:
    `value` - the new value of the 'Grantable' attribute.
  See Also:
    `isGrantable()`

### getRole

    public Role getRole()

  Returns the value of the 'Role' reference. It is bidirectional and its opposite is '`Role Authorization`'.

  If the meaning of the 'Role' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Role' reference.
  See Also:
    `setRole(Role)`, `SQLAccessControlPackage.getRoleAuthorization_Role()`, `Role.getRoleAuthorization()`

### setRole

    public void setRole(Role value)

  Sets the value of the '`Role`' reference.

  Parameters:
    `value` - the new value of the 'Role' reference.
  See Also:
    `getRole()`

### getGrantee

    public AuthorizationIdentifier getGrantee()

  Returns the value of the 'Grantee' reference. It is bidirectional and its opposite is '`Received Role Authorization`'.

  If the meaning of the 'Grantee' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grantee' reference.
  See Also:
    `setGrantee(AuthorizationIdentifier)`, `SQLAccessControlPackage.getRoleAuthorization_Grantee()`, `AuthorizationIdentifier.getReceivedRoleAuthorization()`

### setGrantee

    public void setGrantee(AuthorizationIdentifier value)

  Sets the value of the '`Grantee`' reference.

  Parameters:
    `value` - the new value of the 'Grantee' reference.
  See Also:
    `getGrantee()`

### getGrantor

    public AuthorizationIdentifier getGrantor()

  Returns the value of the 'Grantor' reference. It is bidirectional and its opposite is '`Granted Role Authorization`'.

  If the meaning of the 'Grantor' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grantor' reference.
  See Also:
    `setGrantor(AuthorizationIdentifier)`, `SQLAccessControlPackage.getRoleAuthorization_Grantor()`, `AuthorizationIdentifier.getGrantedRoleAuthorization()`

### setGrantor

    public void setGrantor(AuthorizationIdentifier value)

  Sets the value of the '`Grantor`' reference.

  Parameters:
    `value` - the new value of the 'Grantor' reference.
  See Also:
    `getGrantor()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.